Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.MQSeriesETD
Class MQSeriesETD

    com.stc.eways.MQSeriesETD.MQSeriesETD

public class MQSeriesETD

Constructor Summary
`MQSeriesETD()` Defalt c'tor - create a new instance initializing everything to default values.

Method Summary
`void` | `accessQueue(java.lang.String queueName)` Called to access a queue on the current queue manager.
`void` | `backout()` Call this to tell the current queue manager that all gets and puts since the last syncpoint are to be backed out.
`void` | `commit()` Call this to tell the current queue manager that your collaboration has reached a syncpoint and that all gets and puts that have occurred since the last syncpoint are to be made permanent.
`void` | `connectToQueueManager(java.lang.String sQueueMgrName, java.lang.String sHost, int nPort, java.lang.String sChannel, java.lang.String sUserID, java.lang.String sPwd)` Creates a Connection to a queue manager.
`void` | `get()` Call the get method on the current queue to get a message.
`int` | `getCharacterSet()` Returns the CCSID (coded character set ID) of the current queue managers codeset.
`int` | `getCurrentDepth()` Get the number of messages currently on the current queue.
`GMO` | `getGMO()` This method is generated by the collaboration editor and is used to gain access to the GMO object which is essentially a thin wrapper around the MQGetMessageOptions.
`int` | `getMaximumDepth()` Get the maximum number of messages that can exist on the current queue.
`int` | `getMaximumMessageLength()` Get the maximum length of data that can exist in any one message on the current queue.
`int` | `getMaximumPriority()` Returns the maximum message priority supported by the current queue manager.
`Message` | `getMessage()` The collab editor generates this method and is used to access the current message.
`PMO` | `getPMO()` This method is generated by the collaboration editor and is used to gain access to the PMO object which is essentially a thin wrapper around the MQPutMessageOptions.
`QueueAccessOptions` | `getqueueAccessOptions()` The collaboration editor generates this call when the user needs to access the queue access options.
`void` | `getWithOptions()` Call the get method on the current queue to get a message using the specified options.
`boolean` | `isQueueMgrConnected()` Determines if the current queue manager is still connected.
`void` | `newMessage()` This method allows the user to destroy then recreate the Message object.
`void` | `put()` Put the message on the current queue using the default put options.
`void` | `putWithOptions()` Put the message on the current queue using the specified options.
`void` | `selectQueue(java.lang.String queueName)` This method allows the user to select one of the previously accessed queues and make it the current queue.
`void` | `selectQueueManager(java.lang.String queueMgrName)` Selects one of the queue managers you have previously connected to.

Constructor Detail

### MQSeriesETD

    public MQSeriesETD()

  Defalt c'tor - create a new instance initializing everything to default values.

Method Detail

### accessQueue

    public void accessQueue(java.lang.String queueName)
                     throws com.stc.common.collabService.CollabConnException

  Called to access a queue on the current queue manager. This routes down to the accessQueue method on the queue manager. The user can access more than one queue on the current queue manager. For each new queue accessed, I add the queue to an internal collection so they can be selected by name later. (See also the selectQueue method.) As a byproduct, this method also sets that queue as the "current queue". This is similar to the concept of the current queue manager.

  Parameters:
    `queueName` - Then name of the queue to access on the current queue manager.
  Returns:
    `void` - None.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### backout

    public void backout()
                 throws com.stc.common.collabService.CollabConnException

  Call this to tell the current queue manager that all gets and puts since the last syncpoint are to be backed out. As in commit, this should NOT be called in XA mode since in XA mode eGate is acting as the transaction coordinator. An attempt to call it in XA mode will cause an exception to be thrown.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### commit

    public void commit()
                throws com.stc.common.collabService.CollabConnException

  Call this to tell the current queue manager that your collaboration has reached a syncpoint and that all gets and puts that have occurred since the last syncpoint are to be made permanent. Note that this should NOT be called in XA compliant mode. (In XA mode, eGate is acting as the transaction coordinator). If this is called in XA mode it will throw an exception.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### connectToQueueManager

    public void connectToQueueManager(java.lang.String sQueueMgrName,
                                      java.lang.String sHost,
                                      int nPort,
                                      java.lang.String sChannel,
                                      java.lang.String sUserID,
                                      java.lang.String sPwd)
                               throws com.stc.common.collabService.CollabConnException

  Creates a Connection to a queue manager. Also automatically selects that queue manager as the current queue manager. There is a concept of a "current queue manager". The current queue manager is that queue manager that is the recipient of all the queue related calls. It is set in one of two ways. Either by this method, or the selectQueueManager method. See also the selectQueueManager method.

  At ETD initialization time, the queue manager specified in the configuration will be automatically connected to (and be set as the current queue manager). This may be the one and only queue manager needed in the collaboration. You can use this if you need to connect to another queue manager. Important: this should only be called in Non-Transactional mode. If you are in XA compliant mode, there must be exactly one queue manager connection and that will be the one specified in the configuration. An attempt to connect to another queue manager in XA mode will cause an exception to be thrown.

  Parameters:
    `sQueueMgrName` - The queue manager name - required.
    `sHost` - The host on which the queue manager resides - required.
    `nPort` - The port the host system queue manager is listening on - required.
    `sChannel` - The channel to use - required.
    `sUserID` - Your user ID - if no ID is needed, use "".
    `sPwd` - Your password - if no password is needed, use "".
  Returns:
    `void` - None.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### get

    public void get()
             throws com.stc.common.collabService.CollabConnException

  Call the get method on the current queue to get a message. This routes down to the similarly named method on the MQQueue. Uses the default GetMessageOptions whatever they may be (as is dictated by MQSeries). The single message exposed in the ETD is used to hold the contents of the message.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### getCharacterSet

    public int getCharacterSet()
                        throws com.stc.common.collabService.CollabConnException

  Returns the CCSID (coded character set ID) of the current queue managers codeset.

  Parameters:
    None.
  Returns:
    `int` - An integer specifying the CCSID.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### getCurrentDepth

    public int getCurrentDepth()
                        throws com.stc.common.collabService.CollabConnException

  Get the number of messages currently on the current queue.

  Parameters:
    None.
  Returns:
    `int` - The number of messages.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### getGMO

    public GMO getGMO()

  This method is generated by the collaboration editor and is used to gain access to the GMO object which is essentially a thin wrapper around the MQGetMessageOptions.

  Parameters:
    None.
  Returns:
    `GMO` - The options object.
  Throws:
    None.

### getMaximumDepth

    public int getMaximumDepth()
                        throws com.stc.common.collabService.CollabConnException

  Get the maximum number of messages that can exist on the current queue.

  Parameters:
    None.
  Returns:
    `int` - The number of messages.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### getMaximumMessageLength

    public int getMaximumMessageLength()
                                throws com.stc.common.collabService.CollabConnException

  Get the maximum length of data that can exist in any one message on the current queue.

  Parameters:
    None.
  Returns:
    `int` - The number of messages.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### getMaximumPriority

    public int getMaximumPriority()
                           throws com.stc.common.collabService.CollabConnException

  Returns the maximum message priority supported by the current queue manager. Range is from lowest (zero) to the value returned.

  Parameters:
    None.
  Returns:
    `int` - An integer specifying the maximum priority.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### getMessage

    public Message getMessage()

  The collab editor generates this method and is used to access the current message.

  Parameters:
    None.
  Returns:
    `Message` - The Message object.
  Throws:
    None.

### getPMO

    public PMO getPMO()

  This method is generated by the collaboration editor and is used to gain access to the PMO object which is essentially a thin wrapper around the MQPutMessageOptions.

  Parameters:
    None.
  Returns:
    `PMO` - The options object.
  Throws:
    None.

### getqueueAccessOptions

    public QueueAccessOptions getqueueAccessOptions()

  The collaboration editor generates this call when the user needs to access the queue access options.

  Parameters:
    None.
  Returns:
    QueueAccessOptions - the options exposed in the ETD.
  Throws:
    None.

### getWithOptions

    public void getWithOptions()
                        throws com.stc.common.collabService.CollabConnException

  Call the get method on the current queue to get a message using the specified options. This routes down to the put method on the MQQueue taking the GetMessageOptions parameter. The options that are used are exposed in the ETD allowing the user to set the options as appropriate. The single message exposed in the ETD is used to hold the contents of the message.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### isQueueMgrConnected

    public boolean isQueueMgrConnected()
                                throws com.stc.jcsre.EBobConnectionException

  Determines if the current queue manager is still connected.

  Parameters:
    None.
  Returns:
    `Boolean` - True if still connected, otherwise false.
  Throws:
    `EBobConnectionException` -

### newMessage

    public void newMessage()

  This method allows the user to destroy then recreate the Message object. I found this was necessary if you want to do a get after you've done a get or have modified the message.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    None.

### put

    public void put()
             throws com.stc.common.collabService.CollabConnException

  Put the message on the current queue using the default put options. This routes down to the put method on the MQQueue. The default put options are those set internally by MQSeries whatever they may be. The message that is put is the single message exposed in the ETD so it must be populated as appropriate before calling this.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### putWithOptions

    public void putWithOptions()
                        throws com.stc.common.collabService.CollabConnException

  Put the message on the current queue using the specified options. This routes down to the put method on the MQQueue which takes the PutMessageOptions parameter. The options used in this case are the PutMessageOptions exposed in the ETD allowing the user to set the properties as appropriate. The message that is put is the single message exposed in the ETD so it must be populated as appropriate before calling this method.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### selectQueue

    public void selectQueue(java.lang.String queueName)
                     throws com.stc.common.collabService.CollabConnException

  This method allows the user to select one of the previously accessed queues and make it the current queue. From that point on, all queue related operations operate on that current queue. See also the accessQueue method.

  Parameters:
    `queueName` - The name of the queue to select.
  Returns:
    `void` - None.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

### selectQueueManager

    public void selectQueueManager(java.lang.String queueMgrName)
                            throws com.stc.common.collabService.CollabConnException

  Selects one of the queue managers you have previously connected to. Sets that queue manager as the current queue manager. See also the connectToQueueManager method. Should only be called in non transactional mode (see also the connectToQueueManager method). Only needs to be called if you have connected to more than one queue manager.

  Parameters:
    `queueMgrName` - The name of the queue manager to select.
  Returns:
    `void` - None.
  Throws:
    `CollabConnException` - - Thrown when there is an external connection problem.

Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003 by SeeBeyond Technology Corporation. All Rights Reserved.